14
Validation results

Publisher

Publisher

WordPress 4.7.5 theme
14
Critical alerts
  1. Security breaches : Use of base64_decode() Found base64_decode in file bs-newsletter-mailchimp.php.
    Line 27: $atts['mailchimp-code'] = rawurldecode( base64_decode( $atts['mailchimp-code'] ) );
  2. Malware : Operations on file system file_get_contents was found in the file other.php
    Line 584: if ( function_exists( 'file_get_contents' ) ) {
    Line 585: return file_get_contents( $path );
  3. Deprecated functions : get_bloginfo get_bloginfo( 'url' ) was found in the file class-bf-json-ld-generator.php. Use home_url() instead.
    Line 268: 'url'         => get_bloginfo( 'url' ),
    Line 288: 'url'             => get_bloginfo( 'url' ),
  4. Deprecated functions : bloginfo bloginfo( 'url' ) was found in the file off-canvas.php. Use echo esc_url( home_url() ) instead.
    Line 28: <a href='<?php bloginfo( 'url' ) ?>'>
Warning
  1. Text domain : Incorrect use of translation functions.Wrong installation directory for the theme name. The directory name must match the slug of the theme. This theme's correct slug and text-domain is publisher.
  2. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function __, with the arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.<br><strong style="color: red;">Required:</strong>: "<strong>%s</strong>" plugin.</p>' in file panel-fields.php.Found a translation function that is missing a text-domain. Function __, with the arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.</p>' in file panel-fields.php.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are publisher, breadcrumb-trail, desc, woocommerce.
  3. Custom elements : Presence of custom headerNo reference to custom header was found in the theme.
  4. Custom elements : Presence of custom backgroundNo reference to custom background was found in the theme.
  5. CSS files : Presence of .bypostauthor class.bypostauthor css class is needed in theme css.
  6. Tags : Tags displayThis theme doesn't seem to display tags.
Tip-off
  1. Static links : Presence of hard-coded linksPossible hard-coded links were found in the file better-disqus-comments.php.
    Line 20: <noscript><?php _e( 'Please enable JavaScript to view the <a href='http://disqus.com/?ref_noscript'>comments powered by Disqus.</a>', 'publish
    Possible hard-coded links were found in the file panel-fields.php.
    Line 115: <li>Go To <a href='https://goo.gl/mKugDo' target='_blank'>typekit.com</a> and register for an 
    Possible hard-coded links were found in the file panel-fields.php.
    Line 5795: 'desc'           => __( 'Publisher support Google Tag Manager by default and only you need to paste GTM code into following fields. You can find the codes in <a href='https://goo.gl/oNYWyK'>GTM Quick Start Guide</a>.', 'publisher' ),
    Possible hard-coded links were found in the file panel-std.php.
    Line 638: 'std' => 'Website Design: <a href='http://betterstudio.com'>BetterStudio</a>',
  2. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  3. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  4. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  5. Optional files : Presence of search results template file search.phpThis theme does not contain optional file search.php.
  6. Optional files : Presence of image template file image.phpThis theme does not contain optional file image.php.
  7. Use of includes : Use of include or requireThe theme appears to use include or require : class-bf-shortcodes-manager.php
    Line 159: include 'shortcode/shortcodes/class-bf-' . $key . '-shortcode.php';
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : class-better-framework.php
    Line 670: require( ABSPATH . WPINC . '/class-wp-dependency.php' );
    Line 675: require( ABSPATH . WPINC . '/class.wp-dependencies.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.

This is a ThemeForest theme. Since Themeforest items are all checked by a human before they appear on their website, ThemeForest verification rules are more permissive than themecheck's and can give a better verification score ( Themeforest requirements ).

56
Critical alerts
  1. Deprecated functions : get_bloginfo get_bloginfo( 'url' ) was found in the file class-bf-json-ld-generator.php. Use home_url() instead.
    Line 268: 'url'         => get_bloginfo( 'url' ),
    Line 288: 'url'             => get_bloginfo( 'url' ),
  2. Deprecated functions : bloginfo bloginfo( 'url' ) was found in the file off-canvas.php. Use echo esc_url( home_url() ) instead.
    Line 28: <a href='<?php bloginfo( 'url' ) ?>'>
Warning
  1. Text domain : Incorrect use of translation functions.Wrong installation directory for the theme name. The directory name must match the slug of the theme. This theme's correct slug and text-domain is publisher.
  2. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function __, with the arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.<br><strong style="color: red;">Required:</strong>: "<strong>%s</strong>" plugin.</p>' in file panel-fields.php.Found a translation function that is missing a text-domain. Function __, with the arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.</p>' in file panel-fields.php.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are publisher, breadcrumb-trail, desc, woocommerce.
  3. CSS files : Presence of .bypostauthor class.bypostauthor css class is needed in theme css.
  4. Tags : Tags displayThis theme doesn't seem to display tags.
Tip-off
  1. Static links : Presence of hard-coded linksPossible hard-coded links were found in the file better-disqus-comments.php.
    Line 20: <noscript><?php _e( 'Please enable JavaScript to view the <a href='http://disqus.com/?ref_noscript'>comments powered by Disqus.</a>', 'publish
    Possible hard-coded links were found in the file panel-fields.php.
    Line 115: <li>Go To <a href='https://goo.gl/mKugDo' target='_blank'>typekit.com</a> and register for an 
    Possible hard-coded links were found in the file panel-fields.php.
    Line 5795: 'desc'           => __( 'Publisher support Google Tag Manager by default and only you need to paste GTM code into following fields. You can find the codes in <a href='https://goo.gl/oNYWyK'>GTM Quick Start Guide</a>.', 'publisher' ),
    Possible hard-coded links were found in the file panel-std.php.
    Line 638: 'std' => 'Website Design: <a href='http://betterstudio.com'>BetterStudio</a>',
  2. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  3. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  4. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  5. Optional files : Presence of search results template file search.phpThis theme does not contain optional file search.php.
  6. Optional files : Presence of image template file image.phpThis theme does not contain optional file image.php.
  7. Use of includes : Use of include or requireThe theme appears to use include or require : class-bf-shortcodes-manager.php
    Line 159: include 'shortcode/shortcodes/class-bf-' . $key . '-shortcode.php';
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : class-better-framework.php
    Line 670: require( ABSPATH . WPINC . '/class-wp-dependency.php' );
    Line 675: require( ABSPATH . WPINC . '/class.wp-dependencies.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
Other checked themes